package com.inspect.metadata.montdata.service;

import com.inspect.metadata.montdata.domain.BasedataMontNestRunData;

import java.util.List;

public interface IBasedataMontNestRunDataService {
    BasedataMontNestRunData selectBasedataMontNestRunDataByMontNestRunDataId(Long dataId);

    List<BasedataMontNestRunData> selectBasedataMontNestRunDataList(BasedataMontNestRunData runData);

    int insertBasedataMontNestRunData(BasedataMontNestRunData runData);

    int updateBasedataMontNestRunData(BasedataMontNestRunData runData);

    int deleteBasedataMontNestRunDataByMontNestRunDataIds(Long[] dataIds);

    int deleteBasedataMontNestRunDataByMontNestRunDataId(Long dataId);
}
